# Class Tuple
A constant-size tuple of the same type.

All Subcl's | BitPackedTuple
Defined in | <seqan/basic.h>
Signature | `template <typename TValue, unsigned SIZE[, typename TSpec]> class Tuple;`

## Template Parameters

`TValue` | The value that the tuple should be over.
`SIZE` | The number of entries in the tuple.
`TSpec` | Specialization tag, optional; defaults to void.

## Member Function Overview

- `TValue Tuple::i[SIZE];`
  Array of tuple value.

## Interface Metafunction Overview

- `LENGTH<TTuple>::VALUE;`
  Return the length of a tuple.
- `Value<TTuple>::Type;`
  Return the value type of a tuple.

## Member Functions Detail

### `TValue Tuple::i[SIZE];`

Array of tuple value.

The array of the tuple's values.

#### Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

## Interface Metafunctions Detail

### `LENGTH<TTuple>::VALUE;`

Return the length of a tuple.

#### Template Parameters

`TTuple` | The tuple to query for its length.

#### Returns

`VALUE` | The length of the tuple.

### `Value<TTuple>::Type;`

Return the value type of a tuple.

#### Template Parameters

`TTuple` | The tuple type to query for its value type.

#### Returns

`Type` | The resulting value type.

#### Dox Sources

    /*!
     * @class Tuple
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief A constant-size tuple of the same type.
     *
     * @signature template <typename TValue, unsigned SIZE[, typename TSpec]> class
     *            Tuple;
     *
     * @tparam TValue The value that the tuple should be over.
     * @tparam SIZE The number of entries in the tuple.
     * @tparam TSpec Specialization tag, optional; defaults to void.
     *
     * @mfn Tuple#LENGTH
     *
     * @brief Return the length of a tuple.
     *
     * @signature LENGTH<TTuple>::VALUE;
     *
     * @tparam TTuple The tuple to query for its length.
     *
     * @return VALUE The length of the tuple.
     *
     * @mfn Tuple#Value
     *
     * @brief Return the value type of a tuple.
     *
     * @signature Value<TTuple>::Type;
     *
     * @tparam TTuple The tuple type to query for its value type.
     *
     * @return Type The resulting value type.
     *
     * @fn Tuple::i
     *
     * @brief Array of tuple value.
     *
     * @signature TValue Tuple::i[SIZE];
     *
     * The array of the tuple's values.
     */